
#include <portab.h>
#include <tos.h>

WORD get_cookie( LONG cookie, LONG *value)
{
	WORD cookiecnt=0;
	LONG oldstack=0;
	LONG *cookiejar;
	
	if ( !Super ((void *)1L) ) oldstack = Super (0L);
	cookiejar = *( (LONG **) 0x5a0L );
	if ( oldstack )	Super( (void *) oldstack );

	if ( cookiejar==0L )
	{
		return FALSE;
	}
	
	while ( *cookiejar!=NULL && *cookiejar!=cookie )
	{
		cookiejar += 2;
		cookiecnt++;
	}
	
	*value = *(cookiejar+1);

	return (*cookiejar==cookie);
}

